<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');

// BEGIN: j17
// Create shortcuts to some parameters.
$params		= $this->item->params;
$canEdit	= $this->item->params->get('access-edit');
$user		= JFactory::getUser();
// $_this->params->get => $params->get
// $_this->article => $this->item
// END: j17

$canEdit	= ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));
?>
<?php //j17
if ($params->get('show_page_heading', 1)) : ?>
	<div class="componentheading<?php echo $params->get('pageclass_sfx')?>">
		<?php echo $this->escape($params->get('page_title')); ?>
	</div>
<?php endif; ?>

<div>
<?php

if ($params->get('show_create_date')) {
	$day_first = false;
	list($day, $month, $year) = explode(' ', date('j M Y', strtotime($this->item->created)));

	echo '
	<table width="100%" class="blog_view">
		<tr>
			<td width="1%" valign="top">
				<div class="blogdate">
';

	if ($day_first) 
		echo '
					<div class="day">' . $day . '</div>
					<div class="month">' . JText::_($month) . '</div>
';
	else
		echo '
					<div class="month">' . JText::_($month) . '</div>
					<div class="day">' . $day . '</div>
';

	echo '
					<div class="year">' . JText::_($year) . '</div>
				</div>
			</td>
			<td>
';
}


$elements = array();

if (($params->get('show_author')) && ($this->item->author != '')) {

	// BEGIN: j17
	$author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author;
	if (!empty($this->item->contactid) && $params->get('link_author') == true):
		$needle = 'index.php?option=com_contact&view=contact&id=' . $this->item->contactid;
		$item = JSite::getMenu()->getItems('link', $needle, true);
		$cntlink = !empty($item) ? $needle . '&Itemid=' . $item->id : $needle;
		$elements[] = '<div style="margin-top: 10px;" class="author">'.JText::sprintf('COM_CONTENT_WRITTEN_BY', JHtml::_('link', JRoute::_($cntlink), $author)).'</div>';
	else:
		$elements[] = '<div style="margin-top: 10px;" class="author">'.JText::sprintf('COM_CONTENT_WRITTEN_BY', $author).'</div>';
	endif;
}

// BEGIN: j17	
if ($params->get('show_create_date')) {
	$elements[] = '<div class="createdate">' . JText::sprintf('COM_CONTENT_CREATED_DATE_ON', JHtml::_('date',$this->item->created, JText::_('DATE_FORMAT_LC2'))) . '';

// BEGIN: j17
	$elements[] = '';
if ($this->print) {
	$elements[] = JHTML::_('icon.print_screen', $this->item, $params, $this->access);
}
else {
	if ($params->get( 'show_print_icon'))
		$elements[] = JHTML::_('icon.print_popup', $this->item, $params, $this->access);

	if ($params->get('show_email_icon'))
		$elements[] = JHTML::_('icon.email', $this->item, $params, $this->access);

	if ($canEdit)
		$elements[] = JHTML::_('icon.edit', $this->item, $params, $this->access);
}
	$elements[] = '</div>';
}
// END: j17

if ($params->get('show_title') || !empty($elements)) {
	echo '
	<div class="contentpaneopen' . $params->get( 'pageclass_sfx' ) . '">
	';
	
	if ($params->get('show_title')) {
		echo '
		<div class="contentheading' . $params->get( 'pageclass_sfx' ) . '">
	';
		if ($params->get('link_titles') && $this->item->readmore_link != '')
			echo '<a href="' . $this->item->readmore_link . '" class="contentpagetitle' . $params->get( 'pageclass_sfx' ) . '">' . $this->escape($this->item->title) . '</a>
	';
		else
			echo $this->escape($this->item->title);
	
		echo '
		</div>
	';
	}

	if (!empty($elements))	
		echo '
		<div class="contentinfo">
		' . implode(' &nbsp; ', $elements) . '
		</div>
	';
	
	echo '
	</div>
	';
}

if ($params->get('show_create_date'))
	echo '
			</td>
		</tr>
	</table>
';


?>
</div>

<?php  if (!$params->get('show_intro')) :
	echo $this->item->event->afterDisplayTitle;
endif; ?>
<?php echo $this->item->event->beforeDisplayContent; ?>
<table class="contentpaneopen<?php echo $params->get( 'pageclass_sfx' ); ?>">
<?php if (($params->get('show_section') && $this->item->sectionid) || ($params->get('show_category') && $this->item->catid)) : ?>
<tr>
	<td>
		<?php if ($params->get('show_section') && $this->item->sectionid && isset($this->item->section)) : ?>
		<span>
			<?php if ($params->get('link_section')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->item->section; ?>
			<?php if ($params->get('link_section')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
				<?php if ($params->get('show_category')) : ?>
				<?php echo ' - '; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
		<?php if ($params->get('show_category') && $this->item->catid) : ?>
		<span>
			<?php if ($params->get('link_category')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->item->category; ?>
			<?php if ($params->get('link_category')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
	</td>
</tr>
<?php endif; ?>

<?php if ($params->get('show_url') && $this->item->urls) : ?>
<tr>
	<td valign="top">
		<a href="http://<?php echo $this->item->urls ; ?>" target="_blank">
			<?php echo $this->item->urls; ?></a>
	</td>
</tr>
<?php endif; ?>

<tr>
<td valign="top">
<?php if (isset ($this->item->toc)) : ?>
	<?php echo $this->item->toc; ?>
<?php endif; ?>
<?php echo $this->item->text; ?>
</td>
</tr>

<?php if ($params->get('show_modify_date')) : ?>
<tr>
	<td>
		<?php 
		// BEGIN: j17
		echo '<span class="modifydate" style="display:block; padding-bottom: 2px;">' . JText::sprintf('COM_CONTENT_LAST_UPDATED', JHTML::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC2'))) . '</span>';
		// END: j17
		 ?>
	</td>
</tr>
<?php endif; ?>
</table>
<span class="article_separator">&nbsp;</span><div id="bredcrumbs"><h2><a href="http://yaodessit.com" title="квартиры в одессе">квартиры в одессе</a></h2></div>
<?php echo $this->item->event->afterDisplayContent; ?>
